%define fw_version 5.24

Summary:	KDE Frameworks 5 global workspace shortcuts module
Name:		kglobalaccel
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5crash-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(xcb-xtest)

%description
KDE Frameworks 5 global workspace shortcuts module.

KGlobalAccel allows you to have global accelerators that are independent of
the focused window. Unlike regular shortcuts, the application's window does
not need focus for them to be activated.

NOTE: Functional only with Plasma Workspaces.

%files
%{_kde5_bindir}/kglobalaccel5
%{_kde5_services}/kglobalaccel5.desktop
%{_datadir}/dbus-1/services/org.kde.kglobalaccel.service
%{_qt5_plugindir}/org.kde.kglobalaccel5.platforms/KF5GlobalAccelPrivateXcb.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KGlobalAccel translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KGlobalAccel translations.

%files i18n
#find_lang fails here
%{_localedir}/*/LC_MESSAGES/%{name}*.qm

#----------------------------------------------------------------------------

%define kf5globalaccel_major 5
%define libkf5globalaccel %mklibname kf5globalaccel %{kf5globalaccel_major}

%package -n %{libkf5globalaccel}
Summary:	KDE Frameworks 5 global workspace shortcuts shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5globalaccel}
KDE Frameworks 5 global workspace shortcuts shared library.

%files -n %{libkf5globalaccel}
%{_kde5_libdir}/libKF5GlobalAccel.so.%{kf5globalaccel_major}*

#----------------------------------------------------------------------------

%define kf5globalaccelprivate_major 5
%define libkf5globalaccelprivate %mklibname kf5globalaccelprivate %{kf5globalaccelprivate_major}

%package -n %{libkf5globalaccelprivate}
Summary:	KDE Frameworks 5 global workspace shortcuts shared library
Group:		System/Libraries

%description -n %{libkf5globalaccelprivate}
KDE Frameworks 5 global workspace shortcuts shared library.

%files -n %{libkf5globalaccelprivate}
%{_kde5_libdir}/libKF5GlobalAccelPrivate.so.%{kf5globalaccelprivate_major}*

#----------------------------------------------------------------------------

%define devkf5globalaccel %mklibname kf5globalaccel -d

%package -n %{devkf5globalaccel}
Summary:	Development files for KDE Frameworks 5 global workspace shortcuts
Group:		Development/KDE and Qt
Requires:	%{libkf5globalaccel} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5globalaccel-devel = %{version}
Conflicts:	%{name} < 5.7.0

%description -n %{devkf5globalaccel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5globalaccel}
%{_kde5_includedir}/KF5/KGlobalAccel
%{_kde5_includedir}/KF5/kglobalaccel_version.h
%{_kde5_libdir}/cmake/KF5GlobalAccel
%{_kde5_libdir}/libKF5GlobalAccel.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/*.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

# Internal library, shouldn't be used by other packages
rm -rf %{buildroot}%{_kde5_libdir}/libKF5GlobalAccelPrivate.so

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (a332899) New version 5.24.0


